MUTT(1)

NAZWA
mutt - agent pocztowy użytkownika (MUA)

SKŁADNIA

mutt
    [-nRyzZ] [-e polecenie] [-F plik-konf] [-m typ] [-f skrzynka]

mutt
    [-Enx] [-e polecenie] [-F plik-konf] [-H szkic] [-i plik-włączany]
    [-b adres-ukrytej-kopii] [-c adres-kopii] [-s temat]
    [-a plik ... --] na-adres ...

mutt
    [-nx] [-e polecenie] [-F plik-konf] [-b adres-ukr-kopii] [-c adres-kopii]
    [-s temat] [-a plik ... --] na-adres ... < wiadomość

mutt
    [-n] [-e polecenie] [-F plik-konf] -p

mutt
    [-n] [-e polecenie] [-F plik-konf] -A alias

mutt
    [-n] [-e polecenie] [-F plik-konf] -Q zmienna

mutt
    -v[v]

mutt
    -D

OPIS

Mutt jest małym, lecz potężnym programem tekstowym, przeznaczonym do czytania i wysyłania poczty elektronicznej pod systemami operacyjnymi Unix, zawierającym w sobie w takie funkcje jak kolory, MIME, OpenPGP i sortowanie wiadomości według wątków.

Uwaga: Ta strona podręcznika zawiera krótkie wprowadzenie do opcji wiersza poleceń programu mutt. Pełny podręcznik w formacie tekstowym, HTML lub PDF jest dostępny w katalogu /usr/share/doc/mutt. Proszę zapoznać się z pełnym podręcznikiem, aby dowiedzieć się jak używać i konfigurować program Mutt.

OPCJE

-A alias
    Wypisuje rozwiniętą wersję danego aliasu i wychodzi.

-a plik ...
    Dołącza plik używając MIME. Rozdzielenie argumentów plik i na-adres za pomocą „--” jest obowiązkowe. Na przykład:

    mutt -a obraz.jpg -- na-adres
    mutt -a obr.jpg *.png -- na-adres-1 na-adres-2

    Opcja -a musi być umieszczona na końcu opcji wiersza poleceń.

-b adres-ukrytej-kopii
    Określa adres ukrytej kopii wiadomości (BCC).

-c adres-kopii
    Określa adres kopii wiadomości (CC).

-d poziom
    Jeśli mutt został skompilowany z opcją +DEBUG, to zapisuje informacje debugowania do ~/.muttdebug0. Poziom jest liczbą z zakresu od -5 do 5 i wpływa na szczegółowość wypisywanych komunikatów. Wartość zero wyłącza debugowanie. Wartość mniejsza od zera wyłącza automatyczne rotowanie pliku dziennika; poziom dziennika jest wówczas wartością bezwzględną tej liczby. W większości przypadków zalecaną wartością jest 2 (-2).

-D  Wypisuje na standardowym wyjściu wartości opcji konfiguracyjnych.

-E  Edytuje plik szkicu podany opcją -H lub plik-włączany podany opcją -i w trakcie tworzenia wiadomości.

-e polecenie
    Określa polecenie konfiguracyjne, które ma być wykonane po wczytaniu plików inicjalizacji.

-f skrzynka
    Określa, którą skrzynkę pocztową wczytać.

-F plik-konf
    Używa pliku-konf zamiast pliku konfiguracyjnego użytkownika.

-h  Wyświetla krótkie podsumowanie opcji i kończy działanie.

-H szkic
    Określa plik szkicu zawierający nagłówek i treść (ciało) wiadomości, który ma być użyty do wysłania wiadomości. Jeśli szkic wynosi „-”, to dane są odczytywane ze standardowego wejścia. Plik szkicu powinien zawierać jedynie wiadomość poczty elektronicznej RFC822 — nagłówek i treść. Choć nie jest to plik mbox, jeśli obecny jest wiersz mbox "From ", to będzie on po cichu odrzucony. Pliki szkiców są przetwarzane w ten sam sposób w trybie interaktywnym i wsadowym; nie są nienaruszalne. Na przykład zaszyfrowane pliki szkiców zostaną odszyfrowane.

-i plik włączany
    Określa plik-włączany, który zostanie umieszczony w treści wiadomości. Zostanie zignorowany, jeśli ustawiono opcję -H. Jeśli plik-włączany ma wartość „-”, to dane są odczytywane ze standardowego wejścia.

-m typ
    Określa domyślny typ skrzynki pocztowej, dla nowo tworzonych katalogów. Może być jednym z następujących: mbox, MMDF, MH lub Maildir. Zob. też $mbox_type w pełnym podręczniku.

-n  Nie odczytuje ogólnosystemowego pliku konfiguracyjnego Muttrc.

-p  Wznawia odłożoną wiadomość. Natychmiast kończy działanie, jeśli brak jest odłożonych wiadomości.

-Q zmienna
    Odpytuje zmienną konfiguracyjną. Jest to wykonywane po przetworzeniu wszystkich plików konfiguracyjnych i wykonaniu wszystkich poleceń podanych w wierszu poleceń.

-R  Otwiera skrzynkę w trybie tylko do odczytu.

-s temat
    Określa temat wiadomości. Musi być ujęty w cudzysłów, jeśli zawiera spacje.

-v  Wyświetla wersję Mutta i parametry, z którymi został skompilowany.

-vv Wyświetla informacje o licencji i prawach autorskich.

-x  Symuluje tryb tworzenia wiadomości programu mailx(1).

-y  Uruchamia Mutta z listą wszystkich skrzynek pocztowych określonych poleceniem konfiguracyjnym mailboxes.

-z  Natychmiast kończy pracę z kodem 1 jeśli podana za pomocą opcji -f skrzynka nie zawiera żadnych wiadomości.

-Z  Otwiera pierwszą skrzynkę określoną poleceniem konfiguracyjnym mailboxes, zawierającą nową wiadomość. Natychmiast kończy pracę z kodem 1, jeśli żadna z nich nie zawiera nowych wiadomości.

--  Traktuje pozostałe argumenty jako na-adres, nawet jeżeli zaczynają się od znaku myślnika. Zob. także opis opcji -a powyżej. Na-adres może być adresem pocztowym (lokalnym lub w sieci), jak również URL-em mailto:.

ŚRODOWISKO

EDITOR, VISUAL
    Określa edytor używany do tworzenia wiadomości. Jeśli ustawiono EDITOR i VISUAL, pierwszeństwo ma VISUAL. Jeśli nie ustawiono EDITOR ani VISUAL, domyślnym edytorem jest vi(1).

EGDSOCKET, RANDFILE
    Ścieżki używane do zainicjowanie silnika losowości biblioteki SSL.

EMAIL
    Adres e-mail użytkownika.

HOME
    Pełna ścieżka do katalogu domowego użytkownika.

MAIL
    Pełna ścieżka do katalogu buforowania skrzynki użytkownika.

MAILDIR
    Pełna ścieżka do katalogu skrzynki użytkownika, jeśli zmienna środowiskowa MAIL nie jest ustawiona. Zwykle używana, jeżeli skrzynka jest folderem maildir(5).

MAILCAPS
    Ścieżka przeszukiwania plików mailcap.

MM_NOASK
    Jeżeli ta zmienna jest ustawiona, to mailcap są zawsze używane bez uprzedniego pytania.

PGPPATH
    Katalog, w którym można odnaleźć pęk kluczy publicznych PGP użytkownika. Gdy jest używany z oryginalnym programem PGP, mutt i mutt_pgpring(1) zależą od ustawienia tej zmiennej.

REPLYTO
    Standardowy adres, na który mają być odsyłane odpowiedzi na wysłaną przez użytkownika pocztę.

TMPDIR
    Katalog, w którym tworzone są pliki tymczasowe. Jeśli jest nieustawiona, użyty będzie /tmp. Zob. też zmienną konfiguracyjną $tmpdir.

LC_ALL, LC_CTYPE, LANG
    Używane do określenia zestawu znaków i locale (języka).

TEXTDOMAINDIR
    Katalog zawierający pliki z tłumaczeniem. Jeśli jest ustawiona, ścieżka ta przesłoni katalog instalacyjny Mutta. Używane do testowania zmian tłumaczeń.

PLIKI

~/.muttrc
~/.mutt/muttrc
$XDG_CONFIG_HOME/mutt/muttrc
    Pliki konfiguracyjny użytkownika.

/etc/Muttrc lub /usr/share/mutt/Muttrc
    Ogólnosystemowy plik konfiguracyjny.

/tmp/muttXXXXXX
    Pliki tymczasowe tworzone przez mutta.

~/.muttdebug0
    Plik zawierający wyjście debugowania. Pliki dziennika są automatycznie rotowane przez mutt, zmieniając liczbę na końcu nazwy. Zob. opcja -d powyżej.

~/.mailcap
    Definicja użytkownika do obsługi nietekstowych typów MIME.

/etc/mailcap
    Definicja systemu do obsługi nietekstowych typów MIME.

~/.mime.types
    Osobiste mapowanie użytkownika pomiędzy typami MIME i rozszerzeniami plików.

/etc/mime.types
    Mapowanie systemowe pomiędzy typami MIME i rozszerzeniami plików.

/usr/bin/mutt_dotlock
    Uprzywilejowany program do dotlockingu.

/usr/share/doc/mutt/manual.txt.gz
    Podręcznik mutta.

USTERKI

Żadnych. Kundle mają pchły, a nie robaki [w oryginale to zdanie brzmi "Mutts have fleas, not bugs" i jest grą słów, angielskie słowo "bugs" oznacza "błędy", jak i "robaki"].

PCHŁY

Zawieszenie/wznawianie pracy podczas edytowania pliku za pomocą edytora zewnętrznego nie działa pod SunOS 4.x, jeżeli używa się bibliotek curses w /usr/5lib. Jednakże działa to z bibliotekami S-Lang.

Zmiana wielkości ekranu podczas korzystania z zewnętrznego programu wyświetlającego powoduje, że mutt wariuje na niektórych systemach.

Zawieszenie/wznawianie nie działa pod Ultrix.

Linia help dla menu nie jest uaktualniana, jeżeli podczas działania mutta zmienią się powiązania jednej z pokazanych w niej funkcji.

Aby uzyskać bardziej aktualną listę błędów, yyyy to jest pcheł, proszę odwiedzić stronę systemu śledzenia błędów mutta znajdującą się pod adresem https://gitlab.com/muttmua/mutt/issues.

BRAK GWARANCJI
Niniejszy program rozpowszechniany jest z nadzieją, iż będzie on użyteczny -- jednak BEZ JAKIEJKOLWIEK GWARANCJI, nawet domyślnej gwarancji PRZYDATNOŚCI HANDLOWEJ albo PRZYDATNOŚCI DO OKREŚLONYCH ZASTOSOWAŃ. W celu uzyskania bliższych informacji - Powszechna Licencja Publiczna GNU.

ZOBACZ TAKŻE

mutt_dotlock(1), mutt_pgpring(1), pgpewrap(1), sendmail(1), smail(1), smime_keys(1), curses(3), ncurses(3), mailcap(5), maildir(5), mbox(5), mmdf(5), muttrc(5)

Strona domowa mutta: http://www.mutt.org/

Podręcznik mutta

RFC5322 — Internet Message Format: https://tools.ietf.org/rfcmarkup/5322 (zastępuje RFC2822 i RFC822)

AUTOR

Michael Elkins i inni. Proszę skorzystać z adresu <mutt-dev@mutt.org>, aby skontaktować się z twórcami.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Tomasz Wendlandt <juggler@box.cp.com.pl>, Robert Luberda <robert@debian.org>, Michał Kułach <michal.kulach@gmail.com> i Grzegorz Szymaszek <gszymaszek@short.pl>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.